#
# spec file for package susetour (Version 0.7.3)
#
# Copyright (c) 2002 SuSE Linux AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  gnome-doc
# usedforbuild    aaa_base aaa_dir aaa_version autoconf automake base bash bindutil binutils bison bzip cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel glibc-locale gnome-doc gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel pam-modules patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         susetour
Version:      0.7.3
Release:      271
Summary:      SuSE Tour
Copyright:    2001  SuSE GmbH  Nuernberg, Germany.
Group:        Documentation/SuSE
Requires:     web_browser
Autoreqprov:  on
BuildArchitectures: noarch
BuildRoot:    %{_tmppath}/%{name}-%{version}-build
Source0:      susetour.tar.bz2
#Source1:     susetour_hu.tar.bz2
NoSource:     0
%define tourdir          /usr/share/doc/susetour
%define  gnomelink /opt/gnome/share/SuSEPreConf/SuSENautilusPage
%package -n susetour_de
Requires:     susetour 
Summary:      SuSE Tour german
Group:        Documentation/SuSE
%package -n susetour_en
Requires:     susetour 
Summary:      SuSE Tour english
Group:        Documentation/SuSE
%package -n susetour_es
Requires:     susetour
Summary:      SuSE Tour spanish
Group:        Documentation/SuSE
%package -n susetour_fr
Requires:     susetour 
Summary:      SuSE Tour french
Group:        Documentation
%package -n susetour_it
Requires:     susetour 
Summary:      SuSE Tour italian
Group:        Documentation
%package -n susetour_hu
Requires:     susetour
Summary:      SuSE Tour hungarian
Group:        Documentation/SuSE

%description -n susetour_en
This is the "SuSE Tour", a little online guide that introduces a few
programs and features of your SuSE Linux. On your system, point
a WWW-Browser at file://usr/share/doc/susetour/en/index.html to read the english pages.


Authors:
--------
    Kai Altenfelder <ka@suse.de>
    Martin Bergmann <mjb@suse.de>
    Joerg Dintenfelder <jdinten@suse.de>
    Sven Dummer <sdummer@suse.de>
    Ian Dunn <iandunn1@hotmail.com>
    Viviane Glanz <vglanz@suse.de>
    Michael Krapp <mkrapp@suse.de>
    Siegfried Olschner <sigi@suse.de>
    Adrian Schroeter <adrian@suse.de>
    Ken Wimer <wimer@suse.de>
    Sebastian Wormser <sibbi@suse.de>
    and others...

SuSE series: doc


%description -n susetour_de   
This is the "SuSE Tour", a little online guide that introduces a few
programs and features of your SuSE Linux. On your system, point
a WWW-Browser at file://usr/share/doc/susetour/de/index.html to read the german pages.

Authors:
--------
    Kai Altenfelder <ka@suse.de>
    Martin Bergmann <mjb@suse.de>
    Joerg Dintenfelder <jdinten@suse.de>
    Sven Dummer <sdummer@suse.de>
    Ian Dunn <iandunn1@hotmail.com>
    Viviane Glanz <vglanz@suse.de>
    Michael Krapp <mkrapp@suse.de>
    Siegfried Olschner <sigi@suse.de>
    Adrian Schroeter <adrian@suse.de>
    Ken Wimer <wimer@suse.de>
    Sebastian Wormser <sibbi@suse.de>
    and others...

SuSE series: doc


%description -n susetour_es
This is the "SuSE Tour", a little online guide that introduces a few
programs and features of your SuSE Linux. On your system, point
a WWW-Browser at file://usr/share/doc/susetour/es/index.html to read the spanish pages.

Authors:
--------
    Kai Altenfelder <ka@suse.de>
    Martin Bergmann <mjb@suse.de>
    Joerg Dintenfelder <jdinten@suse.de>
    Sven Dummer <sdummer@suse.de>
    Ian Dunn <iandunn1@hotmail.com>
    Viviane Glanz <vglanz@suse.de>
    Michael Krapp <mkrapp@suse.de>
    Siegfried Olschner <sigi@suse.de>
    Adrian Schroeter <adrian@suse.de>
    Ken Wimer <wimer@suse.de>
    Sebastian Wormser <sibbi@suse.de>
    and others...

SuSE series: doc


%description -n susetour_fr
This is the "SuSE Tour", a little online guide that introduces a few
programs and features of your SuSE Linux. On your system, point
a WWW-Browser at file://usr/share/doc/susetour/fr/index.html to read the french pages.

SuSE series: doc


%description -n susetour_it
This is the "SuSE Tour", a little online guide that introduces a few
programs and features of your SuSE Linux. On your system, point
a WWW-Browser at file://usr/share/doc/susetour/it/index.html to read the italian pages.

SuSE series: doc


%description -n susetour_hu
This is the "SuSE Tour", a little online guide that introduces a few
programs and contains a welcome and information page. On your system, point
a web browser at http://localhost/doc/susetour_hu/ to read the pages.

Authors:
--------
    Kai Altenfelder <ka@suse.de>
    Martin Bergmann <mjb@suse.de>
    Joerg Dintenfelder <jdinten@suse.de>
    Sven Dummer <sdummer@suse.de>
    Ian Dunn <iandunn1@hotmail.com>
    Viviane Glanz <vglanz@suse.de>
    Michael Krapp <mkrapp@suse.de>
    Siegfried Olschner <sigi@suse.de>
    Adrian Schroeter <adrian@suse.de>
    Ken Wimer <wimer@suse.de>
    Sebastian Wormser <sibbi@suse.de>
    and others...

SuSE series: doc


%description -n susetour
This is the "SuSE Tour", a little online guide that introduces a few
programs and features of SuSE Linux. The packages susetour_?? contain the language specific pages.
On your system, just point a WWW-Browser at file://usr/share/doc/susetour/[your language]/index.html to read the pages.

Authors:
--------
    Kai Altenfelder <ka@suse.de>
    Martin Bergmann <mjb@suse.de>
    Joerg Dintenfelder <jdinten@suse.de>
    Sven Dummer <sdummer@suse.de>
    Ian Dunn <iandunn1@hotmail.com>
    Viviane Glanz <vglanz@suse.de>
    Michael Krapp <mkrapp@suse.de>
    Siegfried Olschner <sigi@suse.de>
    Adrian Schroeter <adrian@suse.de>
    Ken Wimer <wimer@suse.de>
    Sebastian Wormser <sibbi@suse.de>
    and others...

SuSE series: doc

%prep
%setup -n susetour 

%build
./makehtml.pl
#rm -rf /usr/share/doc/susetour
#mkdir -p /usr/share/doc/susetour
#tar cfp - . | tar xfpv - -C /usr/share/doc/susetour
#chown -R root.root /usr/share/doc/susetour
#
#Gnome-Link
mkdir -p gnomelink
for lg in en de es it fr hu ; do
 case $lg in
   de) GNOMELINK="gnomelink/SuSE Tour (deutsch)" ;;
   es) GNOMELINK="gnomelink/SuSE Tour (espaol)" ;;
   en) GNOMELINK="gnomelink/SuSE Tour (english)" ;;
   it) GNOMELINK="gnomelink/SuSE Tour (italiano)" ;;
   hu) GNOMELINK="gnomelink/Egy rvid SuSE krsta" ;;
    *) GNOMELINK="gnomelink/SuSE Tour" ;;
 esac
 echo "<?xml version=\"1.0\"?>" > $GNOMELINK
 echo "<nautilus_object nautilus_link=\"Nautilus Link\" custom_icon=\"gnome-html.png\" link=\"file:/usr/share/doc/susetour/$lg/tour0.html\"/>" >>  $GNOMELINK 
done

%install
rm -fr $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{tourdir}
install -d $RPM_BUILD_ROOT%{tourdir}/img
install -m644 html/img/* $RPM_BUILD_ROOT%{tourdir}/img 
for lg in de en fr es it hu; do 
  install -d $RPM_BUILD_ROOT%{tourdir}/$lg
  install -m644 html/$lg/*.html $RPM_BUILD_ROOT%{tourdir}/$lg
  ln -s tour0.html $RPM_BUILD_ROOT%{tourdir}/$lg/index.html
done
install -d  $RPM_BUILD_ROOT%{gnomelink}
install -m644 gnomelink/* $RPM_BUILD_ROOT%{gnomelink}

%files -n susetour_en
/usr/share/doc/susetour/en
"%{gnomelink}/SuSE Tour (english)"

%files -n susetour_de
/usr/share/doc/susetour/de
"%{gnomelink}/SuSE Tour (deutsch)"

%files -n susetour_es
/usr/share/doc/susetour/es
"%{gnomelink}/SuSE Tour (espaol)"

%files -n susetour_it
/usr/share/doc/susetour/it
"%{gnomelink}/SuSE Tour (italiano)"

%files -n susetour_fr
/usr/share/doc/susetour/fr
"%{gnomelink}/SuSE Tour"

%files -n susetour_hu
/usr/share/doc/susetour/hu
"%{gnomelink}/Egy rvid SuSE krsta"

%files -n susetour
%dir /usr/share/doc/susetour
/usr/share/doc/susetour/img

%changelog -n susetour
* Tue Apr 16 2002 - egmont@suselinux.hu
- fixed some html errors
* Thu Apr 11 2002 - egmont@suselinux.hu
- fixed caption text of gnumeric screenshot
- removed extra buggy slide from Hungarian
* Wed Apr 03 2002 - egmont@suselinux.hu
- updated Hungarian translation
* Mon Mar 25 2002 - tackat@suse.de
- Fixed Showstopper "KIllustrator" -> "Kontour"
- Fixed command "gphoto" -> "gtkam" (as reported by msommer)
- Removed obsolete .xvpics - directory
* Fri Mar 22 2002 - tackat@suse.de
  Fixed bugs as reported by sndirsch:
- correct group name for tuxracer
- correct command and package name for FlightGear
* Thu Mar 21 2002 - tackat@suse.de
- Fixed bugs
  #15223 "caption of pictures in suse tour is english"
  #15225 "SuSE tour references 'series' instead of 'group tag'"
  #15224 "SuSETour does not describe how to start a program"
-Added Text for VegaStrike by msommer and en translation by wimer
* Mon Mar 18 2002 - tackat@suse.de
- Fixed translations for fr, it, es, hu concerning
  moving texts in games.txt and science.txt
* Tue Mar 12 2002 - tackat@suse.de
- Fixed htmltemplate, added comments
- Updated SuSE-related Screenshots
- Added Simutrans
- Changed KDE 2 -> KDE 3
- Fixed various minor buglets
* Sat Mar 09 2002 - kukuk@suse.de
- Add /usr/share/doc/susetour to filelist
* Thu Oct 04 2001 - egmont@suselinux.hu
- fix some minor hungarian typos, sync images with text
- use iso-8859-2 for hungarian
* Mon Oct 01 2001 - tackat@suse.de
- adding hungarian translation by  Gbor Szentivnyi <g.szentivanyi@suse.de>
* Mon Sep 24 2001 - adrian@suse.de
- apply logos accroding to license agreement
* Thu Sep 20 2001 - tackat@suse.de
- Added Translations es, it and fr to themes.txt
- Put "Development" to the ending as suggested by adrian.
* Tue Sep 18 2001 - tackat@suse.de
- Fixed [Bug 10838] New - wrong link to susetour in welcome dialog
- Fixed "No end of Tour"-Bug
- Added Translations to themes.txt
- Added bg-images
* Fri Sep 14 2001 - tackat@suse.de
- add screenshots
* Wed Sep 12 2001 - tackat@suse.de
- add screenshots
- add missing translations
* Tue Sep 04 2001 - utuerk@suse.de
- added missing screenshots
- display program name and package
* Tue Aug 28 2001 - utuerk@suse.de
- new version 7.3
- new packages for it, fr
- most of the images are missing
* Tue May 29 2001 - adrian@suse.de
- fixed hungarian version from Gabor
* Sat May 26 2001 - adrian@suse.de
- update content. mainly hugarian translation
* Wed May 23 2001 - utuerk@suse.de
- new hungarian package
* Mon May 14 2001 - adrian@suse.de
- fix missing pictures
* Thu May 10 2001 - adrian@suse.de
- update to current version
- add new conf files from Ute
* Mon Apr 09 2001 - utuerk@suse.de
- splitt package into languages
- removed language selection in htmls
- added link for gnome-desktop
* Mon Feb 26 2001 - tackat@suse.de
- New stuff in games and science
* Wed Jan 24 2001 - adrian@suse.de
- fix spanish label in SuSEhelp
* Mon Jan 22 2001 - adrian@suse.de
- remove double german entry
  added spanish translations
* Wed Jan 17 2001 - adrian@suse.de
- last version, SuSE help is running really fine and show lines
  with more sense
* Wed Jan 17 2001 - adrian@suse.de
- update content
  enable SuSE Help again for SuSE Tour :-)
  do no include sources anymore to spare place on CD
* Sun Jan 14 2001 - adrian@suse.de
- disable SuSE-Tour for SuSE-Help... ;-(
* Fri Jan 12 2001 - adrian@suse.de
- german and english final version
  added meta tag for susehelp
* Tue Jan 09 2001 - adrian@suse.de
- update to current version
  ___THIS IS NOT THE LAST VERSION___
  added config files for SuSEhelp
* Fri Dec 15 2000 - kukuk@suse.de
- Rename susehilf -> susehelp
* Thu Dec 14 2000 - adrian@suse.de
- update to current status
  *** NOT FINAL ***
* Fri Dec 01 2000 - ro@suse.de
- fixed neededforbuild
* Thu Jul 27 2000 - sdummer@suse.de
- added new english versions; added info on what's in the Prof. Ed. only.
* Tue Jul 18 2000 - sdummer@suse.de
- added new stuff
* Sun Jul 16 2000 - sdummer@suse.de
- added soffice.
* Sun Jul 16 2000 - sdummer@suse.de
- some corrections.
* Sun Jul 16 2000 - adrian@suse.de
- merged stuff from ken and sven
* Tue Jul 11 2000 - adrian@suse.de
- update for the 7.0
* Fri Feb 25 2000 - adrian@suse.de
- The first pre version of "Tour de SuSE". English is still missing ;-(
